Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Network.Record

    java.lang.Object
      com.xensource.xenapi.Network.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  Network

    public static class Network.Record

extends Object
implements Types.Record

Represents all the fields in a Network

Field Summary
`Set<Types.NetworkOperations>` | `allowedOperations` list of the operations allowed in this state.
`Map<String,Blob>` | `blobs` Binary blobs associated with this network
`String` | `bridge` name of the bridge corresponding to this network on the local host
`Map<String,Types.NetworkOperations>` | `currentOperations` links each of the running tasks using this object (by reference) to a current_operation enum which describes the nature of the task.
`Types.NetworkDefaultLockingMode` | `defaultLockingMode` The network will use this value to determine the behaviour of all VIFs where locking_mode = default
`Long` | `MTU` MTU in octets
`String` | `nameDescription` a notes field containing human-readable description
`String` | `nameLabel` a human-readable name
`Map<String,String>` | `otherConfig` additional configuration
`Set<PIF>` | `PIFs` list of connected pifs
`Set<String>` | `tags` user-specified tags for categorization purposes
`String` | `uuid` Unique identifier/object reference
`Set<VIF>` | `VIFs` list of connected vifs

Constructor Summary
`Network.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a network.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### nameLabel

    public String nameLabel

  a human-readable name

### nameDescription

    public String nameDescription

  a notes field containing human-readable description

### allowedOperations

    public Set<Types.NetworkOperations> allowedOperations

  list of the operations allowed in this state. This list is advisory only and the server state may have changed by the time this field is read by a client.

### currentOperations

    public Map<String,Types.NetworkOperations> currentOperations

  links each of the running tasks using this object (by reference) to a current_operation enum which describes the nature of the task.

### VIFs

    public Set<VIF> VIFs

  list of connected vifs

### PIFs

    public Set<PIF> PIFs

  list of connected pifs

### MTU

    public Long MTU

  MTU in octets

### otherConfig

    public Map<String,String> otherConfig

  additional configuration

### bridge

    public String bridge

  name of the bridge corresponding to this network on the local host

### blobs

    public Map<String,Blob> blobs

  Binary blobs associated with this network

### tags

    public Set<String> tags

  user-specified tags for categorization purposes

### defaultLockingMode

    public Types.NetworkDefaultLockingMode defaultLockingMode

  The network will use this value to determine the behaviour of all VIFs where locking_mode = default

Constructor Detail

### Network.Record

    public Network.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a network.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD